//--------------------------------------------------------------------------------------------------
//
// Title       : DCache_4Wide
// Design      : lab3
// Author      : cse
// Company     : uw
//
//-------------------------------------------------------------------------------------------------
//
// File        : z:\my_designs\cse378\lab3\src\DCache_4Wide.v
// Generated   : Fri May 26 11:49:23 2006
// From        : interface description file
// By          : Itf2Vhdl ver. 1.20
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------
`timescale 1ps / 1ps

module DCache(DataAddress, MemRead, DataIn, WriteEnable, Size, SignedLoad, DataOut, DStall, DataFromMem, BypassFromMem, DataToMem, AddrToMem, MemReady, DCacheReadRequest, DCacheWriteRequest, CLK, Reset);
	//Processor interface
	input wire WriteEnable, SignedLoad, MemRead;
	input wire [31:0] DataIn, DataAddress;
	input wire [1:0] Size;
	
	output wire[31:0] DataOut;
	output wire DStall;
	
	//Main memory interface
	output wire[127:0] DataToMem;				  
	output wire[27:0] AddrToMem;
	output wire DCacheReadRequest, DCacheWriteRequest;
	input wire [127:0] DataFromMem;
	input wire [31:0] BypassFromMem; 
	input wire MemReady;
	
	//General inputs
	input wire CLK, Reset;
	
	//Enter your cache code here
endmodule